import {Pipe, PipeTransform} from '@angular/core';
import {PersonModel} from '../models';

@Pipe({name: 'orderByFullName'})
export class OrderByFullNamePipe implements PipeTransform {
  transform(value: PersonModel[]): PersonModel[] {
    return value.sort((a: PersonModel, b: PersonModel): number => {
      if (a.fullName < b.fullName) {
        return -1;
      }
      if (a.fullName > b.fullName) {
        return 1;
      }
      return 0;
    });
  }
}
