import {Injectable} from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {environment} from '../../environments/environment';
import {PersonModel} from '../models';

@Injectable()
export class PersonService {
  constructor(private httpClient: HttpClient) {

  }

  private static responseToPerson(data: any): PersonModel {
    const person = new PersonModel();
    person.id = data.id.value;
    person.firstname = data.name.first;
    person.lastname = data.name.last;
    person.email = data.email;
    person.image = data.picture.large;

    return person;
  }

  public async getPersons(length: number = 20, seed: string = 'seed'): Promise<PersonModel[]> {
    const options = {
      params: {
        results: length.toString(),
        seed: seed
      }
    };

    const result = await this.httpClient.get<{ results: [] }>(environment.api.persons, options).toPromise();
    return result.results.map(element => PersonService.responseToPerson(element));
  }
}
